Websites

List websites

GET/api/websites

Returns a paginated list of the current user's websites, optionally including websites accessible through team membership.

Try it

GET/api/websites
Authorization

Credentials stay in this browser tab and are never sent anywhere except the API.

Query parameters
Response

Send a request to see the response.

Headers

NameTypeDescription
AuthorizationrequiredstringToken returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>.

Query parameters

NameTypeDescription
pageintegerPage number, starting at 1.
pageSizeintegerNumber of results per page.
maxResultsintegerMaximum number of results to include.
searchstringSearch text used to filter results.
orderBystringField to sort the results by.
sortDescendingenum<string>Whether to sort results in descending order.
Options: true, false
includeTeamsstringWhen present, include websites accessible through team membership.

Responses

200A page of websites.
NameTypeDescription
countrequiredintegerNumber of matching records.
datarequiredWebsite[]Data returned by the operation.
orderBystringField to sort the results by.
pagerequiredintegerPage number, starting at 1.
pageSizerequiredintegerNumber of results per page.
searchstringSearch text used to filter results.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL